#ifndef __FITNESS_WSTI_H
#define __FITNESS_WSTI_H

#include <cmath>

#include "../gene.h"

using namespace std;

namespace genetic {
    /**
     * Just an example Fitness function.
     */
    template <typename _Chromosome, typename _Value = double>
    class FitnessExample : public Fitness<_Chromosome, _Value> {
    protected:
        /*
         * Chromosome is inherited so you don't have to declare usage of one
         */
        /* _Chromosome chromosome; */
    public:
        /**
         * Example class constructor
         */
        FitnessExample(_Chromosome& _chromosome)
            : Fitness<_Chromosome>(_chromosome) {
        }

        /**
         * Some calculations should be passed here...
         */
        double calculate() {
            return 0;
        }
    };
}

#endif /* __FITNESS_WSTI_H */
